/***************************************************************
 * Name:      slider.h
 * Purpose:   Defines Dialog slider
 * Author:    Salvador Pozo (salvador@conclase.net)
 * Created:   2024-12-02
 * Copyright: Salvador Pozo (www.conclase.net)
 * License:
 **************************************************************/

#ifndef SLIDER_H
#define SLIDER_H

#ifndef WX_PRECOMP
    #include <wx/wx.h>
#endif

#include <wx/validate.h>

class datosSlider
{
    public:
        datosSlider() {}
        datosSlider(int v, int r) : valor(v), rango(r) {}

    //private:
        int valor;
        int rango;
};

class slValidator : public wxValidator {
public:
    slValidator(int *v = nullptr) : m_valor(v) {}
    virtual wxObject* Clone() const { return new slValidator(*this); }
    virtual bool TransferFromWindow();
    virtual bool TransferToWindow() { return true; }
    virtual bool Validate(wxWindow * parent) { return true; }
private:
    int* m_valor;
    DECLARE_DYNAMIC_CLASS( slValidator )
    DECLARE_EVENT_TABLE()
};

class slider : public wxDialog
{
    public:
        slider(wxWindow *wnd, datosSlider &datos);
        virtual ~slider();

    protected:
        enum
        {
            idSlider = 1000
        };
        datosSlider& data;
        wxSlider* m_slider;

    private:
        void OnClose(wxCloseEvent& event);
        void OnSlider(wxCommandEvent& event);
        wxDECLARE_EVENT_TABLE();
};

#endif // SLIDER_H
