/***************************************************************
 * Name:      wx012Main.h
 * Purpose:   Defines Application Frame
 * Author:    Salvador Pozo (salvador@conclase.net)
 * Created:   2024-12-02
 * Copyright: Salvador Pozo (https://conclase.net)
 * License:
 **************************************************************/

#ifndef WX012MAIN_H
#define WX012MAIN_H

#ifndef WX_PRECOMP
    #include <wx/wx.h>
#endif

#include "wx012App.h"
#include "slider.h"

class wx012Frame: public wxFrame
{
    public:
        wx012Frame(wxFrame *frame, const wxString& title);
        ~wx012Frame();
    private:
        enum
        {
            idMenuQuit = 1000,
            idMenuAbout,
            idMenuSlider
        };
        datosSlider dataSlider;
        void OnClose(wxCloseEvent& event);
        void OnQuit(wxCommandEvent& event);
        void OnAbout(wxCommandEvent& event);
        void OnSlider(wxCommandEvent& event);
        DECLARE_EVENT_TABLE()
};


#endif // WX012MAIN_H
